Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.continuation
Interface ContinuationListener

All Superinterfaces:
  java.util.EventListener

    public interface ContinuationListener

extends java.util.EventListener

A Continuation Listener

A ContinuationListener may be registered with a call to `Continuation.addContinuationListener(ContinuationListener)`.

Method Summary
`void` | `onComplete(Continuation continuation)` Called when a continuation life cycle is complete and after any calls to `ServletRequestListener.requestDestroyed(javax.servlet.ServletRequestEvent)` The response may still be written to during the call.
`void` | `onTimeout(Continuation continuation)` Called when a suspended continuation has timed out.

Method Detail

### onComplete

    void onComplete(Continuation continuation)

  Called when a continuation life cycle is complete and after any calls to `ServletRequestListener.requestDestroyed(javax.servlet.ServletRequestEvent)` The response may still be written to during the call.

  Parameters:
    `continuation` -

### onTimeout

    void onTimeout(Continuation continuation)

  Called when a suspended continuation has timed out. The response may be written to and the methods `Continuation.resume()` or `Continuation.complete()` may be called by a onTimeout implementation,

  Parameters:
    `continuation` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.